Package com.xebialabs.deployit.plugin.api.udm

# Enum Class Delegate.Use

java.lang.Object
java.lang.Enum<Delegate.Use>
com.xebialabs.deployit.plugin.api.udm.Delegate.Use

All Implemented Interfaces:
  `Serializable`, `Comparable<Delegate.Use>`, `Constable`

Enclosing class:
  Delegate

public static enum Delegate.Use extends Enum<Delegate.Use>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTROL_TASK`
  `CREATOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Delegate.Use`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Delegate.Use[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTROL_TASK

    public static final Delegate.Use CONTROL_TASK

  - ### CREATOR

    public static final Delegate.Use CREATOR

- ## Method Details

  - ### values

    public static Delegate.Use[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Delegate.Use valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null